---

- name: Reload systemd daemon
  systemd:
    daemon_reload: yes

- name: Run drush-cache-rebuild
  command:
    cmd: docker compose -f docker-compose.yml -f docker-compose.drush.yml run drush-cache-rebuild
    chdir: /opt/project/{{ project }}
  changed_when: false
  vars:
    ansible_python_interpreter: '/usr/bin/env python3-docker'
  listen: Run drush updates

- name: Run drush-updatedb
  command:
    cmd: docker compose -f docker-compose.yml -f docker-compose.drush.yml run drush-updatedb
    chdir: /opt/project/{{ project }}
  register: drush_updatedb
  changed_when: "'No pending updates.' not in drush_updatedb.stderr"
  vars:
    ansible_python_interpreter: '/usr/bin/env python3-docker'
  listen: Run drush updates
